new openstreetmap plugin on qgis master fails to import all polygons

2013-06-11 01:42 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 16880

Description

Basically, if an area way(e.g. amenity=place_of_worship, amenity=school, etc.) has an extra barrier=fence tag onto it, the openstreetmap

plugin fails to import that way into a polygon. This got me scratching my head for a little while as to why a few school grounds were not

imported.

I'm attaching a .osm that shows both area ways with amenity=place_of_worship with and without the barrier=fence to test out.

History

#1 - 2013-06-11 02:08 AM - Mathieu Pellerin - nIRV

Note: it's also happening on barrier=wall.

OpenStreetMap wiki mentions that barrier={fence,wall} can be applied to areas: http://wiki.openstreetmap.org/wiki/Tag:barrier%3Dfence

#2 - 2013-06-11 02:10 AM - Giovanni Manghi

- Assignee set to Martin Dobias

#3 - 2014-07-17 08:53 AM - Andre Joost

With your test case, you are confusing the importer: amenity=school can be an area (or a point), but barrier=fence is more likely a line. To avoid such

pitfalls, you can add area=yes to your object.

Or use Add Vector Layer. The GDAL OSM driver seems to handle your case correctly.

#4 - 2015-06-14 01:22 AM - Mathieu Pellerin - nIRV

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in master build.

Files

partial_phnompenh.osm 1.71 MB 2013-06-10 Mathieu Pellerin - nIRV
